{********************************************************************
CALPANEL demo
for Delphi 1.0, 2.0, 3.0, 4.0, C++ Builder 1.0, 3.0
version 1.1

written by Bruno Fierens,
           TMS Software
           copyright  1997-1999
           Email : tms@theLinx.com
           Website : http://theLinx.com/tms
	   Component page : http://users.skynet.be/delphi
********************************************************************}
unit ucalp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, CalPanel;

type
  TForm1 = class(TForm)
    CalPanel1: TCalPanel;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure CalPanel1DaySelect(Sender: TObject);
    procedure CalPanel1DateChange(Sender: TObject; origDate,
      newDate: TDateTime);
    procedure CalPanel1GetDateHint(Sender: TObject; dt: TDateTime;
      var isEvent: Boolean);
    procedure CalPanel1GetDateHintString(Sender: TObject; dt: TDateTime;
      var isEvent: Boolean; var EventHint: String);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 self.close;
end;

procedure TForm1.CalPanel1DaySelect(Sender: TObject);
begin
 with calpanel1 do
  edit1.text:=inttostr(day)+'/'+inttostr(month)+'/'+inttostr(year);
end;

procedure TForm1.CalPanel1DateChange(Sender: TObject; origDate,
  newDate: TDateTime);
begin
 with calpanel1 do
  edit1.text:=inttostr(day)+'/'+inttostr(month)+'/'+inttostr(year);

end;

procedure TForm1.CalPanel1GetDateHint(Sender: TObject; dt: TDateTime;
  var isEvent: Boolean);
var
 da,mo,ye:word;
begin
 decodedate(now,ye,mo,da);
 isEvent:=(dt=encodedate(1999,2,21)) or (dt=encodedate(ye,mo,da));
 decodedate(dt,ye,mo,da);
 if da=1 then IsEvent:=true;
 if da=15 then IsEvent:=true;
end;

procedure TForm1.CalPanel1GetDateHintString(Sender: TObject; dt: TDateTime;
  var isEvent: Boolean; var EventHint: String);
var
 da,mo,ye:word;
  
begin
 decodedate(now,ye,mo,da);
 isEvent:=(dt=encodedate(1999,2,21)) or (dt=encodedate(ye,mo,da));
 if dt=encodedate(ye,mo,da) then EventHint:='Today';

 decodedate(dt,ye,mo,da);
 if da=1 then IsEvent:=true;

 if da=1 then EventHint:='First day'#13'of the month';
 if da=15 then EventHint:='Pay date';
 if dt=encodedate(1999,2,21) then EventHint:='CalPanel v1.1'#13'release';


end;

procedure TForm1.FormCreate(Sender: TObject);
var
 da,mo,ye:word;
begin
 decodedate(now,ye,mo,da);
 calpanel1.day:=da;
 calpanel1.month:=mo;
 calpanel1.year:=ye;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
 calpanel1.monthselect:=checkbox1.checked;
end;

end.
